Bug 133846 - Explain where Java is used
Summary: Explain where Java is used
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL: https://help.libreoffice.org/latest/e...
Whiteboard: target:7.2.0
Keywords:
Depends on:
Blocks: HelpGaps-NewFeatures
  Show dependency treegraph
 
Reported: 2020-06-10 07:38 UTC by Timur
Modified: 2021-03-04 19:05 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Timur 2020-06-10 07:38:24 UTC
Java has help page but it doesn't explain for what exactly is used, what in LO depends on JRE. 

Also, it should be added that 32-bit/64-bit Java is needed for 32-bit/64-bit LO.
Comment 1 Olivier Hallot 2020-06-10 12:24:14 UTC
I know Java is used for 

* HSQLDB database engine,
* Mediawiki export
* Some Calc solvers

and for extensions that requires Java.

Any other usage?
Comment 2 himajin100000 2020-06-10 12:35:05 UTC
table/form/report wizard
some script providers, including Rhino javascript engine.

https://opengrok.libreoffice.org/search?project=core&full=Java2&defs=&refs=&path=&hist=&type=&xrd=&si=full&si=full&n=25&start=25
Comment 3 Alex Thurgood 2020-06-12 15:42:04 UTC
Not just the database wizards, but for generating a database report as well (even by hand) using the report builder (integrated jfreereport).
Comment 4 Alex Thurgood 2020-06-12 15:44:00 UTC
How about the XSLT GUI stuff, or is that all C++ now ?
Comment 5 libre officer 2020-06-22 14:15:01 UTC
Should also point out that Oracle Java newer than 8 is not recognized (at least in my LibreOffice - windows - since 6.4.1.2). I use adoptopenjdk instead.
Comment 6 Timur 2020-08-05 15:28:15 UTC
I copy from https://bugs.documentfoundation.org/show_bug.cgi?id=135462#c8:

The standard location for Java on macOS is :
/Library/Java/JavaVirtualMachines/
this is where LO looks for a valid Java installation.
Comment 7 Timur 2020-08-05 15:32:58 UTC
Related bug https://bugs.documentfoundation.org/show_bug.cgi?id=109084.
Comment 8 Mike Kaganski 2020-10-12 06:20:27 UTC
https://wiki.documentfoundation.org/Faq/General/015
Comment 9 Timur 2020-10-12 07:16:41 UTC
Should Help just point to that page?
Comment 10 Commit Notification 2021-03-04 11:19:02 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/b342fbeee805b4272d4a2b8015fd65c0d708046a

tdf#133846 Inform where java is used
Comment 11 Commit Notification 2021-03-04 19:05:10 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/9121a0732c01e71a1f5dea5a6d32ee03a3157703

tdf#133846 restrict Java bitness Help to Windows